package beans;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean
@SessionScoped
public class Kalkulator {
	private double arg1, arg2;
	private String operacja;
	private double mem;

	public double getArg1() {
		return arg1;
	}

	public void setArg1(double arg1) {
		this.arg1 = arg1;
	}

	public double getArg2() {
		return arg2;
	}

	public void setArg2(double arg2) {
		this.arg2 = arg2;
	}
	
	public double getWynik() {
		if(operacja == null)
			return 0;
		else switch(operacja) {
			case "+" : return arg1 + arg2;
			case "-" : return arg1 - arg2;
			case "*" : return arg1 * arg2;
			case "/" : return arg1 / arg2;
			default  : return 0;
        }
	}
		
	public String getOperacja() {
		return operacja;
	}

	public void setOperacja(String operacja) {
		this.operacja = operacja;
	}
	
	public double getMem() {
		return mem;
	}

	public void setMem(double mem) {
		this.mem = mem;
	}
	
	public void reset() {
		arg1 = 0;
		arg2 = 0;
	}

	public void zapamietaj() {
		mem = getWynik();
	}

	public void przywroc() {
		arg1 = mem;
		mem = 0;
	}

}
